#!/usr/npac/bin/perl
#
### CAPANEL.CGI SCRIPT FOR THE ULTIMATE BULLETIN BOARD ##
#
# Ultimate Bulletin Board is copyright Prime Web
#
# You may freely use/modify any/all Ultimate Bulletin
# Board scripts, but you assume all liability that
# may result due to installation problems and/or
# content posted on your bulletin board.  You must also 
# keep all copyright notices on applicable pages.
#
# For more info on the Ultimate BB, 
# see http://www.prime-web.com
#
#######################################################

print ("Content-type: text/html\n\n");

require "cgi-lib.pl";
require "UltBB.setup";
require "mods.file";
require "Styles.file";

&ReadParse;

sub decodeURL  {
$_ = shift;
tr/+/ /;
s/%(..)/pack('c', hex($1))/eg;
return($_);
}

foreach $row(@in) {
	($Name, $Value) = split ("=", $row);
	$Name = &decodeURL($Name);
	$Value = &decodeURL($Value);

	if ($Name eq "action") {
			$action = $Value;
	}
	if ($Name eq "ViewEntire") {
			$ViewEntire = $Value;
			}
	
	if ($Name eq "NN") {
			$NN = $Value;
			$NN =~tr/A-Z/a-z/;   
			}
	if ($Name eq "Email") {
			$Email = $Value;
			$Email =~tr/A-Z/a-z/;  
		}
	if ($Name eq "UserName") {
			$UserName = $Value;
		}
	if ($Name eq "Password") {
			$Password = $Value;
		}
} #end foreach loop


if ($action eq "setmods") {
   &SetMods;
}

if ($action eq "prune") {
   &Prune;
}

if ($action eq "variables") {
   &Variables;
}

if ($action eq "permissions") {
   &Permissions;
}

if ($action eq "style") {
   &Styles;
}

if ($action eq "env") {
   &Env;
}

sub Env {
print<<TOP;
<HTML><BODY BGCOLOR="#FFFFFF">
<CENTER>
<TABLE BORDER=0><TR><TD>
<IMG SRC="$NonCGIURL/$BBTitle" BORDER=0 ALT="$BBName">
</TD></TR><td>
<FONT FACE="Verdana, Arial" SIZE="3" COLOR="Navy">Your Environmental Variables</FONT></TD></TABLE>
<P>
</CENTER>
<FONT FACE="VERDANA, ARIAL" SIZE="2">
Use these to help you figure out your absolute file paths, and other system information.
<P>
Your Perl Version: <B>$]</B>
<P>
TOP
foreach $envline (%ENV) {
print $envline;
print "<br>\n";
}
print<<BOTTOM;
</FONT></BODY></HTML>
BOTTOM
}  # END ENV SR

sub Styles {
print<<StyleHTML;
<HTML>
<HEAD>
	<TITLE>Ultimate Bulletin Board - $BBName</TITLE>
</HEAD>

<BODY bgcolor="#FFFFFF" link="#000080" vlink="#808000">
<table border=0 width=620>
<TR><TD>
<IMG SRC="$NonCGIURL/$BBTitle" BORDER=0>
</TD><td><CENTER>
<FONT SIZE="3" FACE="$FontFace" COLOR="#000080"><B>Set Fonts/Colors/Graphics</B></FONT>
</CENTER></td></table>
<FONT SIZE="2" FACE="$FontFace">
<CENTER><B><A HREF="$NonCGIURL/controlpanel.html">Control Panel</A>  |  <A HREF="$CGIURL/Ultimate.cgi">Bulletin Board</A> | <A HREF="$CGIURL/cpanel.cgi?action=variables">Set Variables</A></B></CENTER>
<p><B>
<FONT SIZE="2" FACE="$FontFace" COLOR="#800000"><CENTER> NOTE: This feature has been disabled for the FREEWARE version of the Ultimate Bulletin Board.  To upgrade your version, go to <A HREF="http://www.prime-web.com/compass/ultbb10.html">the UBB Home Page</A>.</center></FONT>
<p>
With the full-featured version of UBB, you would be able to change the font face and/or color, graphics, and background colors used throughout your bulletin board using this control panel page.  
</B>
<BR><BR><BR><CENTER>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#C0C0C0">Copyright, Madrona Park, Inc., 1998.
<BR></FONT></FONT>
</CENTER>
</CENTER>
</BODY>
</HTML>
StyleHTML
}  ## END Styles subroutine

sub Permissions {
print<<permissHTML;
<HTML>
<HEAD>
</HEAD>
<BODY BGCOLOR="#FFFFFF" link="#000080" vlink="#808000">
<FONT SIZE="2" FACE="Verdana, Arial">
<table border=0 width=600>
<tr>
<TD>
<CENTER><b>
<IMG SRC="$NonCGIURL/$BBTitle" BORDER=0>
</CENTER>
</td>
<td>
<B><FONT SIZE="3" FACE="Verdana, Arial" COLOR="#000080">Ultimate Bulletin Board Permissions Center</FONT></B>
</td>
</table>
<p>
<CENTER><B><A HREF="$NonCGIURL/controlpanel.html">Control Panel</A>  |  <A HREF="$CGIURL/Ultimate.cgi">Bulletin Board</A></B></CENTER>
<BR><BR>If you are an authorized administrator, you can change the access permissions for any BB user.   Enter information for at least one of the fields below to conduct a search for a user.  Search is not case-sensitive.<BR>
<FORM ACTION="cpanel2.cgi" METHOD="POST" NAME="PERM">
<INPUT TYPE="HIDDEN" NAME="action" VALUE="getmatches">
<BLOCKQUOTE>
<FONT SIZE="3" COLOR="#FF0000"><B>Identify Yourself Below! - case sensitive</B></FONT><BR>
<TABLE BORDER=0 BGCOLOR="#EFF5F3">
<tr><td><FONT SIZE="2" FACE="Verdana, Arial"><B>Your User Name</B></FONT></td>
<td><INPUT TYPE="TEXT" NAME="UserName" SIZE=25 MAXLENGTH=25>
</td>
</tr>
<tr>
<td>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Your Password</B></FONT></td>
<td><INPUT TYPE="PASSWORD" NAME="Password" SIZE=15 MAXLENGTH=15></td>
</tr>
</table><BR><BR>
<FONT SIZE="3" COLOR="#FF0000"><B>Search For <FONT SIZE="1" COLOR="#FF0000">(type all or portion of name and/or email)</FONT>:</B></FONT>
<TABLE BORDER=1 BGCOLOR="#EFF5F3">

<TR>
<TD WIDTH=200 VALIGN=TOP><FONT SIZE="2" FACE="Verdana, Arial"><B>User Name</B></FONT></td>
<td><INPUT TYPE="TEXT" NAME="NN" VALUE="" SIZE=25 MAXLENGTH=25></td></tr>
<TD WIDTH=200 VALIGN=TOP><FONT SIZE="2" FACE="Verdana, Arial"><B>Email Address</B></FONT></td>
<td><INPUT TYPE="TEXT" NAME="Email" VALUE="" SIZE=30 MAXLENGTH=70></td></tr>
</table>
<BR>
<table border=2 bgcolor="#EFF5F3">
<tr>
<td width=25><INPUT TYPE="CHECKBOX" NAME="ViewEntire" VALUE="Yes"></td><td>
<FONT SIZE="2" face="Verdana, Arial"><B>If you want to view the entire list of users rather than conduct a search, check this box (not recommended for large membership sites since it could take a long time to process).</B></FONT></td></tr></table>
</BLOCKQUOTE>
<br><br>
<CENTER><INPUT TYPE="SUBMIT" NAME="Submit" VALUE="Search Now">
<INPUT TYPE="RESET" NAME="Reset" VALUE="Erase Search Fields">
</CENTER></form>
<br><br>
<CENTER><B><A HREF="$NonCGIURL/controlpanel.html">Control Panel</A>  |  <A HREF="$CGIURL/Ultimate.cgi">Bulletin Board</A></B>
<br><br>Powered by: <FONT SIZE="2" FACE="Verdana" COLOR="#C0C0C0"><A HREF="http://www.UltimateBB.com">Ultimate Bulletin Board, Freeware Version A-3</A><br>
&copy; Madrona Park, Inc., 1998.
</FONT></CENTER>
</FONT>
</BODY>
</HTML>
permissHTML
} ## END Permissions ##

sub Variables {

			$BBRules =~ s/&quot;/"/ig;
			$BBRules =~ s/<BR>/\n/ig;
			$BBRules =~ s/<p>/\n\n/ig;
			
				
if ($ForumStatus1 eq "On") {
	$FS1On = "CHECKED";
}  else {
	$FS1Off = "CHECKED";
}

if ($ForumStatus2 eq "On") {
	$FS2On = "CHECKED";
}  else {
	$FS2Off = "CHECKED";
}

if ($ForumStatus3 eq "On") {
	$FS3On = "CHECKED";
}  else {
	$FS3Off = "CHECKED";
}

if ($ForumStatus4 eq "On") {
	$FS4On = "CHECKED";
}  else {
	$FS4Off = "CHECKED";
}

if ($ForumStatus5 eq "On") {
	$FS5On = "CHECKED";
}  else {
	$FS5Off = "CHECKED";
}

if ($ForumStatus6 eq "On") {
	$FS6On = "CHECKED";
}  else {
	$FS6Off = "CHECKED";
}

if ($ForumStatus7 eq "On") {
	$FS7On = "CHECKED";
}  else {
	$FS7Off = "CHECKED";
}

if ($ForumStatus8 eq "On") {
	$FS8On = "CHECKED";
}  else {
	$FS8Off = "CHECKED";
}

if ($ForumStatus9 eq "On") {
	$FS9On = "CHECKED";
}  else {
	$FS9Off = "CHECKED";
}

if ($Forum1HTML eq "is") {
	$FH1On = "CHECKED";
}  else {
	$FH1Off = "CHECKED";
}

if ($Forum2HTML eq "is") {
	$FH2On = "CHECKED";
}  else {
	$FH2Off = "CHECKED";
}

if ($Forum3HTML eq "is") {
	$FH3On = "CHECKED";
}  else {
	$FH3Off = "CHECKED";
}

if ($Forum4HTML eq "is") {
	$FH4On = "CHECKED";
}  else {
	$FH4Off = "CHECKED";
}

if ($Forum5HTML eq "is") {
	$FH5On = "CHECKED";
}  else {
	$FH5Off = "CHECKED";
}

if ($Forum6HTML eq "is") {
	$FH6On = "CHECKED";
}  else {
	$FH6Off = "CHECKED";
}

if ($Forum7HTML eq "is") {
	$FH7On = "CHECKED";
}  else {
	$FH7Off = "CHECKED";
}

if ($Forum8HTML eq "is") {
	$FH8On = "CHECKED";
}  else {
	$FH8Off = "CHECKED";
}

if ($Forum9HTML eq "is") {
	$FH9On = "CHECKED";
}  else {
	$FH9Off = "CHECKED";
}

if ($Censor eq "ON") {
	$CensorOn = "CHECKED";
}  else {
	$CensorOff = "CHECKED";
}

if ($EmailCheck eq "true") {
	$EmailTrue = "CHECKED";
}  else {
	$EmailFalse = "CHECKED";
}
if ($MemberMinimum eq "") {
	$MemberMinimum = "31";
}
print<<VARHTML;
<HTML>
<HEAD>
	<TITLE>Ultimate Bulletin Board - $BBName</TITLE>
	
</HEAD>

<BODY bgcolor="#FFFFFF" link="#000080" vlink="#808000>
<table border=0>
<TR><TD>
<IMG SRC="$NonCGIURL/$BBTitle">
</TD><td><CENTER>
<FONT SIZE="3" FACE="Verdana, Arial" COLOR="#000080"><B>Set Variables</B></FONT>
</CENTER></td></table>
<FONT SIZE="2" FACE="Verdana, Arial">
<CENTER><B><A HREF="cpanel.cgi?action=env">Check Environmental Variables</A> | <A HREF="$NonCGIURL/controlpanel.html">Control Panel</A>  |  <A HREF="$CGIURL/Ultimate.cgi">Bulletin Board</A></B></CENTER>
<p><B>
This page allows you to customize your bulletin board on the fly, without having to edit a variable file by hand.  The most important variable below is the Complete File Path.  If you do not list the correct path for your server, the scripts will not work properly.  This path is the true root path for your server of the Bulletin Board directory (where you choose to keep the BB files).
<p>
In the Forum Variable area, you can turn each forum on or off using the status switch.
</B>

<P>
<FORM ACTION="cpanel2.cgi" METHOD="POST" NAME="VARS">
<FONT COLOR="#FF0000">First Identify Yourself (only administrators can change variables)<br></FONT></FONT>
<table border=0>
<TR>
<TD>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Your User Name</B></FONT>
</td>
<td><INPUT TYPE="TEXT" NAME="UserName" SIZE=25 MAXLENGTH=25>
</td>
<TR>
<td>
<B><FONT SIZE="2" FACE="Verdana, Arial">Your Password</FONT></B>
</td>
<td>
<INPUT TYPE="PASSWORD" NAME="Password" SIZE=13 MAXLENGTH=13>
</td>
</table>
<p>
<FONT SIZE="3" FACE="Verdana, Arial" COLOR="#000080"><B><U>Set General Variables</U></B></FONT>
<p>

<table border=0>
<tr>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Absolute Path to Members Directory</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000"><B>Important!</B> If possible, this directory should be kept BELOW your www domain directory so that it cannot be accessed through a browser (eg, if your www root at at "/home/www/", you should go with "/home/Members")</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="MembersPath" VALUE="$MembersPath" SIZE=40 MAXLENGTH=250>
</td>
<tr>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Absolute Path to Directory Where Forum Directories Reside</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000"><B>Important!</B> This is your server path (check your server!) for the location of your Forum directories (Forum1, Forum2, etc.)</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="ForumsPath" VALUE="$ForumsPath" SIZE=40 MAXLENGTH=250>
</td>
<tr>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Absolute Path for CGI/PL/SETUP/FILE Scripts</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000"> This is your server path (check your server!) for the location of all of your .cgi and .pl scripts (for example, /home/www/cgi-bin).  Be sure to put your files ending in .file and .setup in this directory.</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="CGIPath" VALUE="$CGIPath" SIZE=40 MAXLENGTH=250>
</td>
<tr>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Absolute Path of your HTML and Image Files</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000"> This is your server path (check your server!) for the location of all your HTML and image (.gif, .jpg) files (put them all in the same directory) (for example, /home/www/UltimateBB, as opposed to the URL.)</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="NonCGIPath" VALUE="$NonCGIPath" SIZE=40 MAXLENGTH=250>
</td>
<tr>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>URL for your CGI Directory</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000"> For instance, if your CGI files are in a directory called cgi-bin, and your domain name is whatever.com, you would write, "http://www.whatever.com/cgi-bin"</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="CGIURL" VALUE="$CGIURL" SIZE=40 MAXLENGTH=250>
</td>
<tr>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>URL for your Non-CGI Directory</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000">For instance, if your HTML, .gif, .setup, and .file files are in a directory called UltimateBB, and your domain name is whatever.com, you would write, "http://www.whatever.com/UltimateBB"</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="NonCGIURL" VALUE="$NonCGIURL" SIZE=40 MAXLENGTH=250>
</td>

<TR>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Your Email Address</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000">this is email address that will be shown so that users can contact you</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="BBEmail" VALUE="$BBEmail" SIZE=30 MAXLENGTH=250>
</td>

<TR>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Name of Your Bulletin Board</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000">whatever you want to call your bulletin board</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="BBName" VALUE="$BBName" SIZE=30 MAXLENGTH=250>
</td>


<TR>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Your Home Page URL</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000">the complete URL (format- http://www.homepage.com) for your home page (not the bulletin board).  This will be used for links back to your homepage.</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="HomePageURL" VALUE="$HomePageURL" SIZE=40 MAXLENGTH=250>
</td>

<TR>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Name of Your Home Page</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000">this is the name of your home page that will listed for links back to your homepage.</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="MyHomePage" VALUE="$MyHomePage" SIZE=30 MAXLENGTH=250>
</td>


<TR>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Registration Option</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000">The default option is to require unique email addressed for each registered user.  You can disable this requirement by checking the "Unique Email Not Required" box.</FONT>
</td>
<td valign=top>
<FONT SIZE="2" FACE="Verdana, Arial"><INPUT TYPE="RADIO" NAME="EmailCheck" VALUE="true" $EmailTrue> Unique Email Required<br>
<INPUT TYPE="RADIO" NAME="EmailCheck" VALUE="false" $EmailFalse> Unique Email Not Required
</FONT>
</td>
<TR>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Server Time Zone</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000">The time of each posting is based on the time zone where your server is located.  If you want your users to know the time zone, provide it here (e.g., ET, CT, PT, etc.).  You may also leave this blank if you would prefer not to show a time zone.</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="TimeZone" VALUE="$TimeZone" SIZE=20 MAXLENGTH=35>
</td>
<TR>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Minimum Number of Messages For Full Member Status</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000">Registered users are initially called Junior Members.  After a certain number of postings, the member will be automatically upgraded to full Member.  The default is 31 messages, but you can reset this value here.</FONT>
</td>
<td valign=top>
<INPUT TYPE="TEXT" NAME="MemberMinimum" VALUE="$MemberMinimum" SIZE=5 MAXLENGTH=5>
</td>
<TR>
<td width=320>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Censor Option</B><br></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000">You may have certain words censored on your BB.  Words you choose to censor will be replaced by asterisks.  All subjects and messages will be affected. To activate the censor function, check the "yes" button below.  To deactivate, press the "no" button.  List all censored words in the field to the right.</FONT>
<CENTER><FONT SIZE="2" FACE="Verdana, Arial" COLOR="#800000"><INPUT TYPE="RADIO" NAME="Censor" VALUE="ON" $CensorOn> yes
<INPUT TYPE="RADIO" NAME="Censor" VALUE="OFF" $CensorOff> no
</FONT></CENTER>
</td>
<td valign=top>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Censor Words</B><BR></FONT>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#FF0000">Type all words you want censored in the field below.  Do not use commas to separate words, just use spaces.  For example, type "dog cat boy", rather than "dog, cat, boy."</FONT><BR>
<INPUT TYPE="TEXT" NAME="censorwords" VALUE="$censorwords" SIZE=40 MAXLENGTH=100>
</td>

</table>
<p><BR><BR>
<B><FONT SIZE="3" FACE="Verdana, Arial" COLOR="#000080"><U>Set Forum Variables</U></FONT></B>
<p>
<table border=0>
<tr>
<td><FONT SIZE="2" FACE="Verdana, Arial">
Forum #1
<p>
<BLOCKQUOTE>
Name: <INPUT TYPE="TEXT" NAME="Forum1" VALUE="$Forum1" SIZE=30 MAXLENGTH=100><br>
Status: <INPUT TYPE="RADIO" NAME="ForumStatus1" VALUE="On" $FS1On> On &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="ForumStatus1" VALUE="Off" $FS1Off> Off<br>
HTML Allowed?: <INPUT TYPE="RADIO" NAME="Forum1HTML" VALUE="is" $FH1On> Yes &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="Forum1HTML" VALUE="is not" $FH1Off> No
<BR>
Description:<br>
<TEXTAREA NAME="Forum1Desc" ROWS=3 COLS=30 wrap="VIRTUAL">$Forum1Desc
</TEXTAREA>
</BLOCKQUOTE></FONT>
<br>
</td>
<TR>
<td><FONT SIZE="2" FACE="Verdana, Arial">
Forum #2
<p>
<BLOCKQUOTE>
Name: <INPUT TYPE="TEXT" NAME="Forum2" VALUE="$Forum2" SIZE=30 MAXLENGTH=100><br>
Status: <INPUT TYPE="RADIO" NAME="ForumStatus2" VALUE="On" $FS2On> On &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="ForumStatus2" VALUE="Off" $FS2Off> Off
<BR>
HTML Allowed?: <INPUT TYPE="RADIO" NAME="Forum2HTML" VALUE="is" $FH2On> Yes &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="Forum2HTML" VALUE="is not" $FH2Off> No
<BR>
Description:<br>
<TEXTAREA NAME="Forum2Desc" ROWS=3 COLS=30 wrap="VIRTUAL">$Forum2Desc
</TEXTAREA>
</BLOCKQUOTE></FONT>
<br>
</td>
<TR>
<td><FONT SIZE="2" FACE="Verdana, Arial">
Forum #3
<p>
<BLOCKQUOTE>
Name: <INPUT TYPE="TEXT" NAME="Forum3" VALUE="$Forum3" SIZE=30 MAXLENGTH=100><br>
Status: <INPUT TYPE="RADIO" NAME="ForumStatus3" VALUE="On" $FS3On> On &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="ForumStatus3" VALUE="Off" $FS3Off> Off
<BR>
HTML Allowed?: <INPUT TYPE="RADIO" NAME="Forum3HTML" VALUE="is" $FH3On> Yes &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="Forum3HTML" VALUE="is not" $FH3Off> No
<BR>
Description:<br>
<TEXTAREA NAME="Forum3Desc" ROWS=3 COLS=30 wrap="VIRTUAL">$Forum3Desc
</TEXTAREA>
</BLOCKQUOTE></FONT>
<br>
</td>
<TR>
<td><FONT SIZE="2" FACE="Verdana, Arial">
Forum #4
<p>
<BLOCKQUOTE>
Name: <INPUT TYPE="TEXT" NAME="Forum4" VALUE="$Forum4" SIZE=30 MAXLENGTH=100><br>
Status: <INPUT TYPE="RADIO" NAME="ForumStatus4" VALUE="On" $FS4On> On &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="ForumStatus4" VALUE="Off" $FS4Off> Off
<BR>
HTML Allowed?: <INPUT TYPE="RADIO" NAME="Forum4HTML" VALUE="is" $FH4On> Yes &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="Forum4HTML" VALUE="is not" $FH4Off> No
<BR>
Description:<br>
<TEXTAREA NAME="Forum4Desc" ROWS=3 COLS=30 wrap="VIRTUAL">$Forum4Desc
</TEXTAREA>
</BLOCKQUOTE></FONT>
<br>
</td>
<TR>
<td><FONT SIZE="2" FACE="Verdana, Arial">
Forum #5
<p>
<BLOCKQUOTE>
Name: <INPUT TYPE="TEXT" NAME="Forum5" VALUE="$Forum5" SIZE=30 MAXLENGTH=100><br>
Status: <INPUT TYPE="RADIO" NAME="ForumStatus5" VALUE="On" $FS5On> On &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="ForumStatus5" VALUE="Off" $FS5Off> Off
<BR>
HTML Allowed?: <INPUT TYPE="RADIO" NAME="Forum5HTML" VALUE="is" $FH5On> Yes &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="Forum5HTML" VALUE="is not" $FH5Off> No
<BR>
Description:<br>
<TEXTAREA NAME="Forum5Desc" ROWS=3 COLS=30 wrap="VIRTUAL">$Forum5Desc
</TEXTAREA>
</BLOCKQUOTE></FONT>
<br>
</td>
<TR>
<td><FONT SIZE="2" FACE="Verdana, Arial">
Forum #6
<p>
<BLOCKQUOTE>
Name: <INPUT TYPE="TEXT" NAME="Forum6" VALUE="$Forum6" SIZE=30 MAXLENGTH=100><br>
Status: <INPUT TYPE="RADIO" NAME="ForumStatus6" VALUE="On" $FS6On> On &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="ForumStatus6" VALUE="Off" $FS6Off> Off
<BR>
HTML Allowed?: <INPUT TYPE="RADIO" NAME="Forum6HTML" VALUE="is" $FH6On> Yes &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="Forum6HTML" VALUE="is not" $FH6Off> No
<BR>
Description:<br>
<TEXTAREA NAME="Forum6Desc" ROWS=3 COLS=30 wrap="VIRTUAL">$Forum6Desc
</TEXTAREA>
</BLOCKQUOTE></FONT>
<br>
</td>
<TR>
<td><FONT SIZE="2" FACE="Verdana, Arial">
Forum #7
<p>
<BLOCKQUOTE>
Name: <INPUT TYPE="TEXT" NAME="Forum7" VALUE="$Forum7" SIZE=30 MAXLENGTH=100><br>
Status: <INPUT TYPE="RADIO" NAME="ForumStatus7" VALUE="On" $FS7On> On &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="ForumStatus7" VALUE="Off" $FS7Off> Off
<BR>
HTML Allowed?: <INPUT TYPE="RADIO" NAME="Forum7HTML" VALUE="is" $FH7On> Yes &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="Forum7HTML" VALUE="is not" $FH7Off> No
<BR>
Description:<br>
<TEXTAREA NAME="Forum7Desc" ROWS=3 COLS=30 wrap="VIRTUAL">$Forum7Desc
</TEXTAREA>
</BLOCKQUOTE></FONT>
<br>
</td>
<TR>
<td><FONT SIZE="2" FACE="Verdana, Arial">
Forum #8
<p>
<BLOCKQUOTE>
Name: <INPUT TYPE="TEXT" NAME="Forum8" VALUE="$Forum8" SIZE=30 MAXLENGTH=100><br>
Status: <INPUT TYPE="RADIO" NAME="ForumStatus8" VALUE="On" $FS8On> On &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="ForumStatus8" VALUE="Off" $FS8Off> Off
<BR>
HTML Allowed?: <INPUT TYPE="RADIO" NAME="Forum8HTML" VALUE="is" $FH8On> Yes &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="Forum8HTML" VALUE="is not" $FH8Off> No
<BR>
Description:<br>
<TEXTAREA NAME="Forum8Desc" ROWS=3 COLS=30 wrap="VIRTUAL">$Forum8Desc
</TEXTAREA>
</BLOCKQUOTE></FONT>
<br>
</td>
<TR>
<td><FONT SIZE="2" FACE="Verdana, Arial">
Forum #9
<p>
<BLOCKQUOTE>
Name: <INPUT TYPE="TEXT" NAME="Forum9" VALUE="$Forum9" SIZE=30 MAXLENGTH=100><br>
Status: <INPUT TYPE="RADIO" NAME="ForumStatus9" VALUE="On" $FS9On> On &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="ForumStatus9" VALUE="Off" $FS9Off> Off
<BR>
HTML Allowed?: <INPUT TYPE="RADIO" NAME="Forum9HTML" VALUE="is" $FH9On> Yes &nbsp;&nbsp;&nbsp;&nbsp;
<INPUT TYPE="RADIO" NAME="Forum9HTML" VALUE="is not" $FH9Off> No
<BR>
Description:<br>
<TEXTAREA NAME="Forum9Desc" ROWS=3 COLS=30 wrap="VIRTUAL">$Forum9Desc
</TEXTAREA>
</BLOCKQUOTE></FONT>
<br>
</td>
</table><P><BR>
<INPUT TYPE="HIDDEN" NAME="action" VALUE="sendvars">
<CENTER><INPUT TYPE="SUBMIT" NAME="Submit" VALUE="Submit Forum Variables Now">

</FORM>
<BR><BR><BR>
<FONT SIZE="1" FACE="Verdana, Arial" COLOR="#C0C0C0">Copyright, Madrona Park, Inc., 1998.
</FONT>
</CENTER>
</BODY>
</HTML>
VARHTML


}


sub SetMods {

print<<ModTOP;
<HTML><HEAD>
</HEAD>
<body bgcolor="#FFFFFF" link="#000080" vlink="#808000">
<FONT SIZE="2" FACE="Verdana, Arial">
<IMG SRC="$NonCGIURL/$BBTitle">
<FONT SIZE="3" FACE="Verdana, Arial" COLOR="#000080"><B>Set Moderators</B></FONT>
<p>
<FONT SIZE="2" FACE="Verdana, Arial" COLOR="#FF0000">Note: only administrators may set moderators.  Identify yourself below.</FONT>
<FORM ACTION="cpanel2.cgi" METHOD="POST" NAME="PERMISS">
<INPUT TYPE="HIDDEN" NAME="action" VALUE="mods">
<table border=0>
<TR>
<TD>
<FONT SIZE="2" FACE="Verdana, Arial"><B>Your User Name</B></FONT>
</td>
<td><INPUT TYPE="TEXT" NAME="UserName" SIZE=25 MAXLENGTH=25>
</td>
<TR>
<td>
<B><FONT SIZE="2" FACE="Verdana, Arial">Your Password</FONT></B>
</td>
<td>
<INPUT TYPE="PASSWORD" NAME="Password" SIZE=13 MAXLENGTH=13>
</td>
</table>
<INPUT TYPE="HIDDEN" NAME="ForumsPath" VALUE="$ForumsPath">
<INPUT TYPE="HIDDEN" NAME="MembersPath" VALUE="$MembersPath">
<INPUT TYPE="HIDDEN" NAME="CGIPath" VALUE="$CGIPath">
<INPUT TYPE="HIDDEN" NAME="NonCGIPath" VALUE="$NonCGIPath">
<INPUT TYPE="HIDDEN" NAME="CGIURL" VALUE="$CGIURL">
<INPUT TYPE="HIDDEN" NAME="NonCGIURL" VALUE="$NonCGIURL">
<p>
<FONT SIZE="1" color="#FF0000">Note: if the forum has no moderator, the word "none" must appear under the Moderator column for that forum.  Do not leave the field blank.</FONT>
<p>
<table border=0>
<TR>
<TD>
<FONT SIZE="2" FACE="Verdana, Arial" COLOR="#008080">Forum Name</FONT>
</td>
<td>
<FONT SIZE="2" FACE="Verdana, Arial" COLOR="#008080">Current Moderator</FONT>
</td>
<td>
<FONT SIZE="2" FACE="Verdana, Arial" COLOR="#008080">Change to:</FONT>
</td>
ModTOP

#get current host info

for ($x = 1; $x < 10; $x++) {

if ($x == 1) {
$ForumName = "$Forum1";
$Moderator = "$Forum1Moderator";
}
if ($x == 2) {
$ForumName = "$Forum2";
$Moderator = "$Forum2Moderator";
}

if ($x == 3) {
$ForumName = "$Forum3";
$Moderator = "$Forum3Moderator";
}

if ($x == 4) {
$ForumName = "$Forum4";
$Moderator = "$Forum4Moderator";
}

if ($x == 5) {
$ForumName = "$Forum5";
$Moderator = "$Forum5Moderator";
}

if ($x == 6) {
$ForumName = "$Forum6";
$Moderator = "$Forum6Moderator";
}

if ($x == 7) {
$ForumName = "$Forum7";
$Moderator = "$Forum7Moderator";
}

if ($x == 8) {
$ForumName = "$Forum8";
$Moderator = "$Forum8Moderator";
}

if ($x == 9) {
$ForumName = "$Forum9";
$Moderator = "$Forum9Moderator";
}

print<<MIDMOD;
<TR>
<TD>
<FONT SIZE="2" FACE="Verdana, Arial"><B>$ForumName</B></FONT>
</td>
<td>
<FONT SIZE="2" FACE="Verdana, Arial">$Moderator</FONT>
</td>
<td>
<INPUT TYPE="HIDDEN" NAME="OldMod$x" VALUE="$Moderator">
<INPUT TYPE="TEXT" NAME="NewMod$x" VALUE="$Moderator" SIZE=25 MAXLENGTH=25>
</td>
MIDMOD

} ##END FOREACH $line


print<<TRUEBOTTOM;
</table>
<P>
<CENTER>

<INPUT TYPE="SUBMIT" NAME="Submit" VALUE="Submit Changes">
</CENTER>

</FORM>
</BODY></HTML>
TRUEBOTTOM

}  ## END SET MODS SR ##


sub Prune {
print<<PruneHTML;
<HTML>
<body bgcolor="#FFFFFF" link="#000080" vlink="#808000">
<IMG SRC="$NonCGIURL/$BBTitle">
<FONT SIZE="3" FACE="Verdana, Arial" COLOR="#000080"><B>Edit/Prune Messages</B></FONT>
<p>
<B><FONT SIZE="2" FACE="Verdana, Arial" COLOR="#800000">Note: THIS FEATURE IS NOT AVAILABLE IN THE FREEWARE VERSION OF THE ULTIMATE BULLETIN BOARD.  To upgrade your version, <A HREF="http://www.prime-web.com/compass/ultbb10.html">see the UBB Home Page</A>.</FONT></B>
</BODY></TABLE>
PruneHTML
}  ## END Prune SR